Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.bus
Class BusI18n

    java.lang.Object
      org.modeshape.jcr.bus.BusI18n

    @Immutable
    public final class BusI18n

extends Object

The internationalized string constants for the `org.modeshape.repository.event.*` packages.

Author:
  Horia Chiorean

Field Summary
`static I18n` | `clusteringChannelIsRunningAndCannotBeChangedUnlessShutdown`
`static I18n` | `clusterNameRequired`
`static I18n` | `errorDeserializingChanges`
`static I18n` | `errorSerializingChanges`
`static I18n` | `errorWhileStartingJGroups`
`static I18n` | `memberOfClusterIsSuspect`
`static I18n` | `unableToNotifyChanges`

Constructor Summary
`BusI18n()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### errorWhileStartingJGroups

    public static I18n errorWhileStartingJGroups

### clusterNameRequired

    public static I18n clusterNameRequired

### unableToNotifyChanges

    public static I18n unableToNotifyChanges

### errorSerializingChanges

    public static I18n errorSerializingChanges

### errorDeserializingChanges

    public static I18n errorDeserializingChanges

### clusteringChannelIsRunningAndCannotBeChangedUnlessShutdown

    public static I18n clusteringChannelIsRunningAndCannotBeChangedUnlessShutdown

### memberOfClusterIsSuspect

    public static I18n memberOfClusterIsSuspect

Constructor Detail

### BusI18n

    public BusI18n()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.